<!-- TODO: mobile proof this thingy -->
<template>
  <div id="app">
    <Header />
    <b-container id="content">
      <Accordion />
      <ProjectsView id="projects" class="d-none d-md-block" />
    </b-container>
    <Footer />
  </div>
</template>

<script>
import Header from './components/Header.vue';
import Accordion from './components/Accordion.vue';
import ProjectsView from './components/ProjectsView.vue';
import Footer from './components/Footer.vue';

export default {
  components: {
    Header,
    Accordion,
    ProjectsView,
    Footer
  }
};
</script>

<style>
  html,
  body {
    height: 100%;
    font-family: Consolas, 'Trebuchet MS', 'Segoe UI' !important;
  }
  #app {
    height: 100%;
    display: flex;
    flex-direction: column;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }
  #content {
    padding: 0;
    flex: auto 1 1;
  }
  #projects {
    margin-top: 32px;
    margin-bottom: 16px;
  }
</style>